Package Details: pacemaker 2.1.2-1

Git Clone URL: https://aur.archlinux.org/pacemaker.git (read-only, click to copy)
Package Base: pacemaker
Description: advanced, scalable high-availability cluster resource manager
Upstream URL: https://github.com/ClusterLabs/pacemaker/
Licenses: GPL2
Submitter: bidulock
Maintainer: bidulock
Last Packager: bidulock
Votes: 5
Popularity: 0.011729
First Submitted: 2016-12-07 16:08 (UTC)
Last Updated: 2021-12-14 05:48 (UTC)

Pinned Comments

bidulock commented on 2018-07-09 08:39 (UTC)

This package is now only for the 2.0 series. For the 1.1 series, see https://aur.archlinux.org/packages/pacemaker1.1/

Latest Comments

1 2 Next › Last »

bidulock commented on 2020-07-13 02:55 (UTC)

@omgold, rebuild ha-glue package with cibsecret removed. The pacemaker version is better.

omgold commented on 2020-07-12 14:43 (UTC)

With version 2.0.4 I get a file conflict on /usr/bin/cibsecret between pacemaker and ha-glue.

BrookeMonson commented on 2019-07-11 10:28 (UTC)

One of the most complex programs I ever did in my programing experience. Well, I am very happy to visit https://au.edubirdie.com/dissertation-writing-services page for help in my dissertation writing as I know that I could not be able to complete it without your assistance. Please keep sharing knowledge about the programing.

bidulock commented on 2018-11-30 22:44 (UTC) (edited on 2018-11-30 22:45 (UTC) by bidulock)

@joehoobyar, the problem is with ha-glue. I would fix it, but I don't maintain it. You can edit ha-glue PKGBUILD to remove $pkgdir/usr/bin/cibsecret and everything will install fine after that.

joekhoobyar commented on 2018-11-30 21:11 (UTC)

Errors in most recent build

error: failed to commit transaction (conflicting files)

pacemaker: /usr/bin/cibsecret exists in filesystem (owned by ha-glue)

Errors occurred, no packages were upgraded.

bidulock commented on 2018-09-04 07:11 (UTC)

I just checked and all three packages (ha-glue, resource-agents, pacemaker) build fine in a clean chroot.

gkyildirim commented on 2018-08-31 13:04 (UTC) (edited on 2018-08-31 16:13 (UTC) by gkyildirim)

Thanks for maintaining this package!

I have a few notes to share;

  1. I should install pywswan manually for a successful fence-agents compile (pip install pywsman).

  2. ha-glue does not compile with the following errors and I am loss how to correct it.

pmilan_command.c:52:1: error: unknown type name ‘selector_t’; did you mean ‘sel_timer_t’? selector_t *os_sel; ^~~~~~~~~~ sel_timer_t

ipmilan_command.c:87:16: error: unknown type name ‘selector_t’; did you mean ‘sel_timer_t’? void timed_out(selector_t sel, sel_timer_t timer, void *data); ^~~~~~~~~~ sel_timer_t

ipmilan_command.c:90:11: error: unknown type name ‘selector_t’; did you mean ‘sel_timer_t’? timed_out(selector_t sel, sel_timer_t timer, void *data) ^~~~~~~~~~

I am not sure how this package works correctly if it is not me somehow. This is a up-to-date archlinux.

bidulock commented on 2018-07-09 08:39 (UTC)

This package is now only for the 2.0 series. For the 1.1 series, see https://aur.archlinux.org/packages/pacemaker1.1/

xzip commented on 2018-05-06 07:50 (UTC)

Cant install pacemaker because the depending package ha-glue provides the binary /usr/bin/cibsecret that would also be provided by pacemaker itself.